Advance company application
curl --request POST \
--url https://sg.sandbox.api.reap.global/companies/{id}/applications/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"redirectUri": "<string>",
"method": "MANAGED_KYB"
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({redirectUri: '<string>', method: 'MANAGED_KYB'})
};
fetch('https://sg.sandbox.api.reap.global/companies/{id}/applications/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/companies/{id}/applications/"
payload = {
"redirectUri": "<string>",
"method": "MANAGED_KYB"
}
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "INITIATED",
"sessionUrl": "<string>",
"expiresAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"nextAction": {
"type": "DOCUMENT_UPLOAD",
"documents": [
{
"documentType": "CERTIFICATE_OF_INCORPORATION",
"status": "REQUIRED"
}
]
}
}{
"error": {
"code": "INVALID_DECLARED_OWNERSHIP",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "COMPANY_VERIFICATION_METHOD_NOT_ENABLED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "COMPANY_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "ACTIVE_COMPANY_APPLICATION_EXISTS",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "APPLICATION_SUBMISSION_TOO_LARGE",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "COMPANY_APPLICATION_TEMPLATE_NOT_CONFIGURED",
"message": "<string>",
"detail": {}
}
}Companies
Advance company application
Advances the company application. For Managed KYB, send redirectUri (the default when method is omitted) to get a verification URL for the corporate client. Returns an error if an active Managed application already exists. For Universal KYB, send method: UNIVERSAL_KYB and the verified business pack. The first call creates the application; later calls amend it and return the same application until it is submitted. nextAction is null for Managed KYB.
POST
/
companies
/
{id}
/
applications
/
Advance company application
curl --request POST \
--url https://sg.sandbox.api.reap.global/companies/{id}/applications/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"redirectUri": "<string>",
"method": "MANAGED_KYB"
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({redirectUri: '<string>', method: 'MANAGED_KYB'})
};
fetch('https://sg.sandbox.api.reap.global/companies/{id}/applications/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/companies/{id}/applications/"
payload = {
"redirectUri": "<string>",
"method": "MANAGED_KYB"
}
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "INITIATED",
"sessionUrl": "<string>",
"expiresAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"nextAction": {
"type": "DOCUMENT_UPLOAD",
"documents": [
{
"documentType": "CERTIFICATE_OF_INCORPORATION",
"status": "REQUIRED"
}
]
}
}{
"error": {
"code": "INVALID_DECLARED_OWNERSHIP",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "COMPANY_VERIFICATION_METHOD_NOT_ENABLED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "COMPANY_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "ACTIVE_COMPANY_APPLICATION_EXISTS",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "APPLICATION_SUBMISSION_TOO_LARGE",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "COMPANY_APPLICATION_TEMPLATE_NOT_CONFIGURED",
"message": "<string>",
"detail": {}
}
}Required scope: COMPANIES_WRITE
Headers
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
How to start or continue the company application. The accepted method depends on the project KYB verification method. Omit method or send MANAGED_KYB with redirectUri for the hosted flow.
Response
Company application created or amended
Company application and the next action required